package com.cim.idm.service;

import com.alibaba.fastjson.JSONObject;
import com.cim.idm.model.CostCenter;
import com.cim.idm.model.MaterialPacking;
import com.cim.idm.model.vo.MaterialInfo;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public interface CostCenterService {
    List<CostCenter> getCostCenter(String erpFactory);
    List<Map<String, Object>> getUserInfo();

    void updateCareerAssistanceNew(JSONObject in);

    /**
     * 更新主表状态为完成
     * @param mainId
     */
    void updateCheckMain(String mainId);

    void editMaterialPackingName(MaterialPacking materialPacking);
    MaterialInfo getMaterialInfo(String materialSpecName);
    List<LinkedHashMap<String, Object>> getMaterialPacking(String materialSpecName, String siteName, String erpFactory, String erpLocation, String location, String nums);

    List<HashMap<String, Object>> getByMaterialPackingName(String newBoxId);

    void updateQty(String materialPackingName, BigDecimal materialQuantityFont, String user);
}
